org.apache.tinkerpop.gremlin.neo4j.process.traversal.step.sideEffect

## Class Neo4jGraphStep<S,E extends Element>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphStep<S,E>
    - - org.apache.tinkerpop.gremlin.neo4j.process.traversal.step.sideEffect.Neo4jGraphStep<S,E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<E>>, Step<S,E>, GraphComputing, HasContainerHolder

      public final class Neo4jGraphStep<S,E extends Element>
      extends GraphStep<S,E>
      implements HasContainerHolder

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com), Pieter Martin
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphStep

      `done, ids, isStart, iteratorSupplier, returnClass`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Neo4jGraphStep(GraphStep<S,E> originalGraphStep)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHasContainer(HasContainer hasContainer)`
    `List<HasContainer>` | `getHasContainers()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphStep

      `addIds, clearIds, close, convertElementsToIds, getIds, getReturnClass, isStartStep, isStartStep, onGraphComputer, processHasContainerIds, processNextStart, reset, returnsEdge, returnsVertex, setIteratorSupplier`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hasNext, next, removeLabel, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.HasContainerHolder

      `removeHasContainer`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.GraphComputing

      `atMaster, atMaster`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### Neo4jGraphStep

          public Neo4jGraphStep(GraphStep<S,E> originalGraphStep)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `GraphStep<S,E extends Element>`

    - #### getHasContainers

          public List<HasContainer> getHasContainers()

      Specified by:
        `getHasContainers` in interface `HasContainerHolder`

    - #### addHasContainer

          public void addHasContainer(HasContainer hasContainer)

      Specified by:
        `addHasContainer` in interface `HasContainerHolder`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GraphStep<S,E extends Element>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.